Retrieve a Form Submission
const url = 'https://api.upvio.com/v1/businesses/example/form-submissions/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.upvio.com/v1/businesses/example/form-submissions/example \ --header 'Authorization: Bearer <token>'Retrieve a Form Submission by ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The ID of the Business.
The ID of the Form Submission.
Responses
Section titled “ Responses ”A Form Submission.
object
A form submission created by a client when a form is submitted.
object
Unique identifier across the platform.
The unique identifier of the form that created this submission.
The unique identifier of the patient who submitted the form.
Whether the patient was authenticated when submitting the form.
If the form included a booking form then an appointment ID will be associated with the submission.
object
The unique identifier of the question.
The type of the question (e.g., text, multiple choice).
The title of the question.
The key used to identify the question for the patient.
object
The ID that matches the question ID.
The answer provided by the patient.
The date and time when the form submission was created.
The date and time when the form submission was started.
The date and time when the form submission was submitted.
Example
{ "data": { "formId": "form1", "patientId": "patient1", "patientVerified": true, "appointmentId": "appointment1", "questions": [ { "id": "patient-name", "type": "text", "patientKey": "patientName" } ], "answers": [ { "id": "patient-name", "value": "Jane Doe" } ] }}Form Submission not found.
object
object
Example
{ "error": { "code": 404, "title": "Not Found" }}